/**
 * The utility APIs in this file are used in the output computation of different deivces
 */

const decToBinArrMSBToLSB = (decimal, noOfBits) => {
  return decimal.toString(2).padStart(noOfBits, 0).split("").map(Number);
};

const decToHexStr = (decimal, noOfBits, isTwosComplement = false) => {
  if (decimal < 0 && isTwosComplement) {
    decimal = (decimal >>> 0).toString(16).slice(-noOfBits / 4);
  }

  return (
    "0x" +
    decimal
      .toString(16)
      .toUpperCase()
      .padStart(noOfBits / 4, 0)
  );
};

const getDecNum = (value, noOfBits, isTwosComplement = false) => {
  let maxValue = 2 ** parseInt(noOfBits);
  let decimalValue = Math.round(value);

  if (isTwosComplement && decimalValue >= maxValue / 2) {
    decimalValue -= maxValue;
  }

  return decimalValue;
};

/**
 * To get table cell object
 * @param cellInfo
 * @returns Table cell object
 */
const getTableCell = cellInfo => {
  return {
    attributes: {
      class: cellInfo.classList || "",
      rowspan: cellInfo.rowspan || 1,
      colspan: cellInfo.colspan || 1,
    },
    value: cellInfo.value === undefined ? "" : cellInfo.value,
  };
};

/**
 * To get tabe row object
 * @param cellList
 * @param type
 * @returns Table row object
 */
const getTableRow = (cellList, type = "body") => {
  return {
    type,
    entries: cellList.reduce((acc, cellInfo) => {
      acc.push(getTableCell(cellInfo));
      return acc;
    }, []),
  };
};

const updateHypentoUnderscore = selectedDevice => {
  return selectedDevice.replace("-", "_");
};

export { decToHexStr as a, getDecNum as b, decToBinArrMSBToLSB as d, getTableRow as g, updateHypentoUnderscore as u };

//# sourceMappingURL=p-d57b9fa3.js.map